<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_281) on Tue Jun 01 09:22:38 CEST 2021 -->
<title>G-Index</title>
<meta name="date" content="2021-06-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">B</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">O</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">R</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">W</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/Register.html#getAddress--">getAddress()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/Register.html" title="class in ch.hevs.isi.field">Register</a></dt>
<dd>
<div class="block">Get the address</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/Frame.html#getByteBuffer--">getByteBuffer()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/Frame.html" title="class in ch.hevs.isi.field">Frame</a></dt>
<dd>
<div class="block">Get the ByteBuffer</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/MBAP.html#getByteBuffer--">getByteBuffer()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/MBAP.html" title="class in ch.hevs.isi.field">MBAP</a></dt>
<dd>
<div class="block">Get the MBAP ByteBuffer</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/PDU.html#getByteBuffer--">getByteBuffer()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/PDU.html" title="class in ch.hevs.isi.field">PDU</a></dt>
<dd>
<div class="block">Get the PDU ByteBuffer</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/DataPoint.html#getDataPointFromLabel-java.lang.String-">getDataPointFromLabel(String)</a></span> - Static method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a></dt>
<dd>
<div class="block">Method used to get the Datapoint according to the label</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/BooleanRegister.html#getDP--">getDP()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/BooleanRegister.html" title="class in ch.hevs.isi.field">BooleanRegister</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FloatRegister.html#getDP--">getDP()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FloatRegister.html" title="class in ch.hevs.isi.field">FloatRegister</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/Register.html#getDP--">getDP()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/Register.html" title="class in ch.hevs.isi.field">Register</a></dt>
<dd>
<div class="block">Get the register datapoint</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/Frame.html#getHeader--">getHeader()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/Frame.html" title="class in ch.hevs.isi.field">Frame</a></dt>
<dd>
<div class="block">Get the header (MBAP)</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/utils/Utility.html#getHexString-byte:A-">getHexString(byte[])</a></span> - Static method in class ch.hevs.isi.utils.<a href="../ch/hevs/isi/utils/Utility.html" title="class in ch.hevs.isi.utils">Utility</a></dt>
<dd>
<div class="block">Utility method to convert a byte array in a string made up of hex (0,.. 9, a,..f).</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/utils/Utility.html#getHexString-byte:A-int-int-">getHexString(byte[], int, int)</a></span> - Static method in class ch.hevs.isi.utils.<a href="../ch/hevs/isi/utils/Utility.html" title="class in ch.hevs.isi.utils">Utility</a></dt>
<dd>
<div class="block">Utility method to convert a byte array in a string made up of hex (0,.. 9, a,..f)</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/database/DatabaseConnector.html#getInstance--">getInstance()</a></span> - Static method in class ch.hevs.isi.database.<a href="../ch/hevs/isi/database/DatabaseConnector.html" title="class in ch.hevs.isi.database">DatabaseConnector</a></dt>
<dd>
<div class="block">Create a single instance of DatabaseConnector</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FieldConnector.html#getInstance--">getInstance()</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field">FieldConnector</a></dt>
<dd>
<div class="block">Get the only instance of the class</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/ModbusAccessor.html#getInstance--">getInstance()</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field">ModbusAccessor</a></dt>
<dd>
<div class="block">Get the only instance of this class</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/smartcontroller/SmartController.html#getInstance--">getInstance()</a></span> - Static method in class ch.hevs.isi.smartcontroller.<a href="../ch/hevs/isi/smartcontroller/SmartController.html" title="class in ch.hevs.isi.smartcontroller">SmartController</a></dt>
<dd>
<div class="block">Get the singleton instance of the class</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/web/WebConnector.html#getInstance--">getInstance()</a></span> - Static method in class ch.hevs.isi.web.<a href="../ch/hevs/isi/web/WebConnector.html" title="class in ch.hevs.isi.web">WebConnector</a></dt>
<dd>
<div class="block">Create a single instance of WebConnector</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/DataPoint.html#getLabel--">getLabel()</a></span> - Method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a></dt>
<dd>
<div class="block">Method used to get the label of the Datapoint</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/MBAP.html#getLength--">getLength()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/MBAP.html" title="class in ch.hevs.isi.field">MBAP</a></dt>
<dd>
<div class="block">Get the message length</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/Frame.html#getMessage--">getMessage()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/Frame.html" title="class in ch.hevs.isi.field">Frame</a></dt>
<dd>
<div class="block">Get the message (PDU)</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/Register.html#getOffset--">getOffset()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/Register.html" title="class in ch.hevs.isi.field">Register</a></dt>
<dd>
<div class="block">Get the offset value</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/MBAP.html#getProtocolID--">getProtocolID()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/MBAP.html" title="class in ch.hevs.isi.field">MBAP</a></dt>
<dd>
<div class="block">Get the protocolID</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/Register.html#getRange--">getRange()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/Register.html" title="class in ch.hevs.isi.field">Register</a></dt>
<dd>
<div class="block">Get the range value</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/FieldConnector.html#getRegisterFromLabel-java.lang.String-">getRegisterFromLabel(String)</a></span> - Static method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/FieldConnector.html" title="class in ch.hevs.isi.field">FieldConnector</a></dt>
<dd>
<div class="block">Get the register corresponding to the provided label.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/utils/Utility.html#getStringRndVal-int-">getStringRndVal(int)</a></span> - Static method in class ch.hevs.isi.utils.<a href="../ch/hevs/isi/utils/Utility.html" title="class in ch.hevs.isi.utils">Utility</a></dt>
<dd>
<div class="block">Retrieves a random value rounded to 2 decimal...</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/MBAP.html#getTransactionID--">getTransactionID()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/MBAP.html" title="class in ch.hevs.isi.field">MBAP</a></dt>
<dd>
<div class="block">Get the transaction ID</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/field/MBAP.html#getUnitID--">getUnitID()</a></span> - Method in class ch.hevs.isi.field.<a href="../ch/hevs/isi/field/MBAP.html" title="class in ch.hevs.isi.field">MBAP</a></dt>
<dd>
<div class="block">Get the unit ID</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/BinaryDataPoint.html#getValue--">getValue()</a></span> - Method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/BinaryDataPoint.html" title="class in ch.hevs.isi.core">BinaryDataPoint</a></dt>
<dd>
<div class="block">Method used to get the value of the Variable value</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/hevs/isi/core/FloatDataPoint.html#getValue--">getValue()</a></span> - Method in class ch.hevs.isi.core.<a href="../ch/hevs/isi/core/FloatDataPoint.html" title="class in ch.hevs.isi.core">FloatDataPoint</a></dt>
<dd>
<div class="block">Method used to get the value of the Variable value</div>
</dd>
</dl>
<a href="index-1.html">B</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">F</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">M</a>&nbsp;<a href="index-8.html">O</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">R</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
